use rhai::plugin::*;

#[derive(Debug, Clone, Eq, PartialEq, Hash)]
pub enum Anchor {
	Center,
	NorthWest,
	SouthWest,
	NorthEast,
	SouthEast,
}

#[export_module]
pub mod anchor_mod {
	#[allow(non_upper_case_globals)]
	pub const Center: Anchor = Anchor::Center;

	#[allow(non_upper_case_globals)]
	pub const NorthWest: Anchor = Anchor::NorthWest;

	#[allow(non_upper_case_globals)]
	pub const NorthEast: Anchor = Anchor::NorthEast;

	#[allow(non_upper_case_globals)]
	pub const SouthWest: Anchor = Anchor::SouthWest;

	#[allow(non_upper_case_globals)]
	pub const SouthEast: Anchor = Anchor::SouthEast;
}
